<!DOCTYPE html>
<html lang="es" xmlns:th="https://www.thymeleaf.org">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Skydash Admin</title>
  <!-- plugins:css -->
  <link rel="stylesheet" href="../../vendors/feather/feather.css">
  <link rel="stylesheet" href="../../vendors/ti-icons/css/themify-icons.css">
  <link rel="stylesheet" href="../../vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- Plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="../../css/vertical-layout-light/style.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="../../images/logoSanBorja.png" />
</head>

<body>
<div class="container-scroller">
<!-- Fragmento nav -->
    <layouttag th:include="fragments/common :: nav-fragment" />

    <!-- partial -->
    <div class="container-fluid page-body-wrapper" >

	<!-- Fragmento theme-setting-wrapper-->
	<layouttag th:include="fragments/common :: theme-setting-wrapper-fagment" />
	
    <!-- Fragmento sidebar -->
    <layouttag th:include="fragments/common :: sidebar-fragment" />
    
    
    <!-- Principal -->
    <div class="main-panel">
        <div class="content-wrapper">
        <div class="row">
          <div class="col-lg-3 grid-margin stretch-card"></div>
          <div class="col-lg-6 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                	<div th:if="${Supervisor.supe_Id == 0}">
                  		<h4 class="card-title">Insertar Supervisor</h4>     		                  	
		                  <p class="card-description">
		                    Insertar los datos del supervisor 
		                  </p>
		                  <div th:if="${mensaje != null}"> 
		                  	  <div class="alert alert-danger" th:text="${mensaje}"></div>
		                  </div>
		                  <form  class="forms-sample" th:action="@{/configuracion/supervisorRegistro}" th:object="${Supervisor}"
		                   method="POST"  accept-charset="UTF-8">							  
		                    <input type="hidden" th:field="*{supe_TokenFirebase}"></input>
		                    
		                    <div class="form-group">
		                      <label for="exampleInputAlias">Alias</label>		                      
		                      <input type="text" class="form-control" id="exampleInputAlias" placeholder="Alias"
		                       th:field="*{supe_Alias}" th:value="${supe_Alias}">
							  <div class="alert alert-warning" th:errors="*{supe_Alias}"></div>
		                    </div> 
		                    
		                    <div class="form-group">
		                      <label for="exampleInputNombres">Nombres</label>
		                      <input type="text" class="form-control" id="exampleInputNombres" placeholder="Nombres"
		                      th:field="*{supe_Nombres}" th:value="${supe_Nombres}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('supe_Nombres')}" th:errors="*{supe_Nombres}"></div>
		                    </div>
		                    
		                    <div class="form-group">
		                      <label for="exampleInputApellidoP">Apellido Paterno</label>
		                      <input type="text" class="form-control" id="exampleInputApellidoP" placeholder="Apellido Paterno"
		                      th:field="*{supe_ApellidoPaterno}" th:value="${supe_ApellidoPaterno}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('supe_ApellidoPaterno')}" th:errors="*{supe_ApellidoPaterno}">
		                    </div>
		                    </div>
		                    
		                    <div class="form-group">
		                      <label for="exampleInputApellidoM">Apellido Materno</label>
		                      <input type="text" class="form-control" id="exampleInputApellidoM" placeholder="Apellido Materno"
		                      th:field="*{supe_ApellidoMaterno}" th:value="${supe_ApellidoMaterno}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('supe_ApellidoMaterno')}" th:errors="*{supe_ApellidoMaterno}">
		                    </div>
		                    </div>
		                    
		                    <div class="form-group">
		                    	<label for="exampleInputTD">Tipo Documento</label>
							    <select class="form-control" th:field="*{tdoc_Id}" id="exampleInputTD">
							    <option value="0">--Seleccione--</option>
							    <option th:each="TipoDocumento : ${listatipodocumento}" th:value="${TipoDocumento.tdoc_Id}" th:text="${TipoDocumento.tdoc_Nombre}"></option>
							    </select>
							    <div class="alert alert-warning" th:if="${#fields.hasErrors('tdoc_Id')}" th:errors="*{tdoc_Id}">
							</div>
		                    </div>
		                    
		                    <div class="form-group">
		                      <label for="exampleInputNroDocumento">Nro Documento</label>
		                      <input type="text" class="form-control" id="exampleInputNroDocumento" placeholder="Nro Documento"
		                      th:field="*{supe_NroDocumento}" th:value="${supe_NroDocumento}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('supe_NroDocumento')}" th:errors="*{supe_NroDocumento}">
		                    </div>
		                    </div>
		                    
		                    <div class="form-group">
		                      <label for="exampleInputCorreo">Correo electrónico</label>
		                      <input type="text" class="form-control" id="exampleInputCorreo" placeholder="Correo electrónico"
		                      th:field="*{supe_Correo}" th:value="${supe_Correo}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('supe_Correo')}" th:errors="*{supe_Correo}">
		                    </div>
		                    </div>
		                 	
		      				<div class="form-check form-check-flat form-check-primary">
		      				<label style="font-size:14px" for="defaultCheck">
							  <input type="checkbox" th:field="*{supe_Activo}" th:value="${supe_Activo}" id="defaultCheck"> 
							    Activo
							  </label>
							</div>
		  
		                    <button type="submit" class="btn btn-primary mr-2" style="padding: 0.65rem 1.2rem;">Crear</button>
		                    <a th:href="@{/configuracion/supervisor}" class="btn btn-light" style="padding: 0.65rem 1.2rem;">Cancelar</a>
		                  </form>
                  		</div> 
                  	<div th:if="${Supervisor.supe_Id != 0}">
                  		<h4 class="card-title">Actualizar Supervisor</h4>	                  	
		                  <p class="card-description">
		                    Actualizar los datos del supervisor 
		                  </p>
		                  <div th:if="${mensaje != null}"> 
		                  	  <div class="alert alert-danger" th:text="${mensaje}"></div>
		                  </div>
		                  <form class="forms-sample" th:action="@{/configuracion/supervisorRegistro/} + ${Supervisor.supe_Id}" th:object="${Supervisor}" method="POST" accept-charset="UTF-8">
		                  	<input type="hidden" th:field="*{supe_Id}"></input>
		                  	<input type="hidden" th:field="*{supe_TokenFirebase}"></input>
		                    
		                    <div class="form-group">
		                      <label for="exampleInputAlias">Alias</label>		                      
		                      <input type="text" class="form-control" id="exampleInputAlias" placeholder="Alias"
		                       th:field="*{supe_Alias}" th:value="${supe_Alias}" readonly>
							  <div class="alert alert-warning" th:errors="*{supe_Alias}"></div>
		                    </div> 
		                    
		                    <div class="form-group">
		                      <label for="exampleInputNombres">Nombres</label>
		                      <input type="text" class="form-control" id="exampleInputNombres" placeholder="Nombres"
		                      th:field="*{supe_Nombres}" th:value="${supe_Nombres}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('supe_Nombres')}" th:errors="*{supe_Nombres}"></div>
		                    </div>
		                    
		                    <div class="form-group">
		                      <label for="exampleInputApellidoP">Apellido Paterno</label>
		                      <input type="text" class="form-control" id="exampleInputApellidoP" placeholder="Apellido Paterno"
		                      th:field="*{supe_ApellidoPaterno}" th:value="${supe_ApellidoPaterno}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('supe_ApellidoPaterno')}" th:errors="*{supe_ApellidoPaterno}">
		                    </div>
		                    </div>
		                    
		                    <div class="form-group">
		                      <label for="exampleInputApellidoM">Apellido Materno</label>
		                      <input type="text" class="form-control" id="exampleInputApellidoM" placeholder="Apellido Materno"
		                      th:field="*{supe_ApellidoMaterno}" th:value="${supe_ApellidoMaterno}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('supe_ApellidoMaterno')}" th:errors="*{supe_ApellidoMaterno}">
		                    </div>
		                    </div>
		                    
		                    <div class="form-group">
		                    	<label for="exampleInputTD">Tipo Documento</label>
							    <select class="form-control" th:field="*{tdoc_Id}" id="exampleInputTD">
							    <option value="0">--Seleccione--</option>
							    <option th:each="TipoDocumento : ${listatipodocumento}" th:value="${TipoDocumento.tdoc_Id}" th:text="${TipoDocumento.tdoc_Nombre}"></option>
							    </select>
							    <div class="alert alert-warning" th:if="${#fields.hasErrors('tdoc_Id')}" th:errors="*{tdoc_Id}">
							</div>
		                    </div>
		                    
		                    <div class="form-group">
		                      <label for="exampleInputNroDocumento">Nro Documento</label>
		                      <input type="text" class="form-control" id="exampleInputNroDocumento" placeholder="Nro Documento"
		                      th:field="*{supe_NroDocumento}" th:value="${supe_NroDocumento}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('supe_NroDocumento')}" th:errors="*{supe_NroDocumento}">
		                    </div>
		                    </div>
		                    
		                    <div class="form-group">
		                      <label for="exampleInputCorreo">Correo electrónico</label>
		                      <input type="text" class="form-control" id="exampleInputCorreo" placeholder="Correo"
		                      th:field="*{supe_Correo}" th:value="${supe_Correo}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('supe_Correo')}" th:errors="*{supe_Correo}">
		                    </div>
		                    </div>
		                 	
		      				<div class="form-check form-check-flat form-check-primary">
		      				<label style="font-size:14px" for="defaultCheck">
							  <input type="checkbox" th:field="*{supe_Activo}" th:value="${supe_Activo}" id="defaultCheck"> 
							    Activo
							  </label>
							</div>
							
		                    <button type="submit" class="btn btn-primary mr-2">Actualizar</button>
		                    <a th:href="@{/configuracion/supervisor}" class="btn btn-light">Cancelar</a>
		                  </form>
                  	</div>  
                </div>
              </div>
            </div>
        </div>
		 <layouttag th:include="fragments/common :: footer" />
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->
  <!-- plugins:js -->
  <script src="../../vendors/js/vendor.bundle.base.js"></script>
  <!-- endinject -->
  <!-- Plugin js for this page -->
  <!-- End plugin js for this page -->
  <!-- inject:js -->
  <script src="../../js/off-canvas.js"></script>
  <script src="../../js/hoverable-collapse.js"></script>
  <script src="../../js/template.js"></script>
  <script src="../../js/settings.js"></script>
  <script src="../../js/todolist.js"></script>
  <!-- endinject -->
</body>

</html>
